.product {
    margin-bottom: 120px;
}
.product__inner {
    display: grid;
    grid-template-columns: 1.5fr repeat(2, 1fr);
    grid-template-rows: .5fr repeat(2, 1fr);
    grid-column-gap: 60px;
    grid-row-gap: 32px;
    padding: 32px 68px 60px 32px;
    background: #fff;
    box-shadow: 2px 2px 20px rgba(0, 46, 115, 0.06);
    position: relative;
}

.product-slider__box {
    grid-area: 1 / 1 / 4 / 2;
}
.product__title {
    grid-area: 1 / 2 / 2 / 4;
}
.product__info {
    grid-area: 2 / 2 / 4 / 4;
}

.product-slider {
    max-width: 350px;
    margin-bottom: 32px;
}
.product-slider__box {
    width: 350px;
}
.product-slider .swiper-slide {
    display: flex;
    justify-content: center;
}
.product-slider .swiper-slide img {
    width: 280px;
    height: 285px;
    object-fit: contain;
}
.product-thumbs .swiper-slide img {
    width: 100%;
    height: auto;
    border: 1px solid #C2C9DB;
    padding: 5px;
}

.product-item__box {
    display: flex;
}
.product-item__box-item {
    margin-bottom: 8px;
    cursor: pointer;
    display: flex;
    text-decoration: none;
}
.product-item__box-item.checked label {
    border: solid 1px #6BC116;
    background: #E7FBEB;
}
.product-item__box-item label {
    display: inline-block;
    padding: 3px 12px;
    cursor: pointer;
    color: #334B86;
    border: 1px dashed #C2C9DB;
    transition: all 0.3s;
}
.product-item__box-item label:hover {
    border: 1px solid #6BC116;
}
.product-item__box-item:not(:last-child) {
    margin-right: 8px;
}
.product-item__box-item input[type="radio"] {
    display: none;
}
.product-title {
    color: #002682;
    margin-bottom: 8px;
}
.product-code {
    color: #334B86;
}
.product-item__box-item input[type="radio"]:checked + label {
    border: solid 1px #6BC116;
    background: #E7FBEB;
}
.product_wish{
    position: absolute;
    right: 35px;
    top: 35px;
    cursor: pointer;
}
.product_wish svg path{
    transition: all .2s linear;
}
.product_wish:hover svg path, .product_wish.active svg path{
    stroke: #6BC116;
}
.product-price {
    color: #002682;
    margin-bottom: 8px;
}
.product-price .special_price{
    font-size: .8em;
    color: red;
    text-decoration: line-through;
}
.product-promo {
    color: #334B86;
    margin-bottom: 32px;
}
.product-item__title {
    color: #334B86;
    max-width: 80px;
    width: 100%;
    margin-right: 15px;
}
.product-item {
    display: flex;
    margin-bottom: 20px;
    position: relative;
}
.product-item.has-error .product-item__title{
    color: red;
}
.product-item.has-error .product-item__box-item label{
    border: 1px dashed red;
    color: red;
}

.product-item .text-danger{
    position: absolute;
    color: red;
    bottom: -12px;
}
.product-item__box {
    display: flex;
    flex-wrap: wrap;
}
.product__info-box {
    width: 300px;
}

.product__info {
    display: flex;
    justify-content: space-between;
}
.product-numbs__box {
    display: flex;
    align-items: center;
}

.input-number-decrement, .input-number-increment {
    position: relative;
    height: 32px;
    width: 32px;
    display: inline-block;
    border: 2px solid #BCBCBC;
    color: #BCBCBC;
    text-align: center;
    font-weight: bold;
    cursor: pointer;
}
.input-number {
    width: 37px;
    height: 32px;
    vertical-align: top;
    text-align: center;
    outline: none;
    border: none;
    border-top: 1px solid #C2C9DB;
    border-bottom: 1px solid #C2C9DB;
    color: #334B86;
}
.input-number-decrement, .input-number-increment {
    position: relative;
    height: 32px;
    width: 32px;
    display: inline-block;
    border: 1px solid #C2C9DB;
    color: #BCBCBC;
    text-align: center;
    font-weight: bold;
    cursor: pointer;
}
.input-number-decrement:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 11px;
    height: 2px;
    background: #334B86;
}
.input-number-increment:before, .input-number-increment:after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: #334B86;
}
.input-number-increment:before {
    width: 12px;
    height: 2px;
}
.input-number-increment:after {
    width: 2px;
    height: 12px;
}
.product-numbs__title {
    color: #334B86;
    margin-bottom: 8px;
}

.product-actions__top {
    display: flex;
    justify-content: space-between;
    margin-bottom: 34px;
}

.product__info-actions {
    width: 208px;
}
.product-total__result {
    color: #6BC116;
}
.product-total__title {
    color: #334B86;
    margin-bottom: 11px;
}

.product-btns button, .product-btns a {
    height: 50px;
    width: 100%;
}
.product-btns button:not(:last-child) {
    margin-bottom: 34px;
}

.product-btns .btn-installment {
    font-weight: normal;
    font-size: 18px;
    line-height: 22px;
    background: transparent;
    border: none;
    color: #334B86;
    border-bottom: 1px solid #334B86;
    height: auto;
    padding: 5px 0;
    cursor: pointer;
    transition: all .2s linear;
}
.product-btns .btn-installment:hover {
    color: #6BC116;
    border-bottom: 1px solid #6BC116;
}
.product-tabs__top {
    display: flex;
}
.product-tabs__nav {
    width: 25%;
    text-align: center;
    padding: 25px;
    background: rgba(194, 201, 219, 0.18);
    color: #334B86;
    font-weight: normal;
    font-size: 18px;
    line-height: 22px;
    cursor: pointer;
}
.product-tabs__nav.active {
    display: block;
    font-size: 20px;
    line-height: 24px;
    font-weight: bold;
    background: #fff;
}
.product-tabs__content {
    display: none;   
    background: #fff;
}
.product-tabs__content.active {
    display: block;
}

.product-tabs {
    margin-bottom: 120px;
}

.product-tabs__desc {
    padding: 40px 80px;
}

.product-tabs__content p, .product-tabs__desc {
    font-weight: normal;
    font-size: 16px;
    line-height: 22px;
    color: #334B86;
}
.product-tabs__content p:not(:last-child) {
    margin-bottom: 22px;
}
.product-tabs__content h1,
.product-tabs__content h2,
.product-tabs__content h3,
.product-tabs__content h4,
.product-tabs__content h5,
.product-tabs__content h6 {
    margin-bottom: 30px;
}



.char-item  {
    color: #334B86;
    padding: 15px 80px;
    display: flex;
    align-items: center;
    background: #fff;
}

.char-item:nth-child(2n) {
    background: rgba(194, 201, 219, 0.18);
}

.product-tabs__char {
    padding: 15px 0;
}

.char-item__label {
    max-width: 250px;
    width: 100%;
    margin-right: 120px;
}
.product-tabs__rev {
    padding: 40px 80px;
}
.no-rev {
    font-weight: normal;
    font-size: 24px;
    line-height: 29px;
    color: #C2C9DB;
    margin-top: 110px;
}
.rev-left {
    max-width: 540px;
    width: 100%;
}
.rev-item {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 24px 29px 24px 24px;
    border: 1px solid rgba(194, 201, 219, 0.18);
}
.rev-item:not(:last-child) {
    margin-bottom: 16px;
}
.rev-img {
    max-width: 123px;
    width: 100%;
    height: 126px;
    margin-right: 40px;
}
.rev-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.rev-title {
    color: #334B86;
    margin-bottom: 6px;
}
.rev-star {
    margin-bottom: 14px;
}
.rev-name {
    color: #334B86;
    margin-bottom: 8px;
}
.rev-desc {
    color: #334B86;
    font-weight: 300;
}

.product-tabs__rev.active {
    display: flex;
    justify-content: space-between;
}

.rev-box {
    max-width: 348px;
    width: 100%;
}


.star-rating {
    display: inline-flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    font-size: 32px;
    margin-bottom: 24px;
}
.star-rating label svg {
    cursor: pointer;
}
.star-rating label svg path  {
    display: flex;
    width: 32px;
    align-items: center;
    justify-content: center;
} 

.star-rating input {
    display: none;
}
    
.star-rating label {
    display: flex;
}
.star-rating label svg path{
    stroke: #C2C9DB;;
    cursor: pointer;
}
  
.star-rating :checked ~ label svg path {
    stroke: #FFD500;
    fill: #FFD500;
}
  
.star-rating label:hover svg path,
.star-rating label:hover ~ label svg path {
    stroke: #FFD500;
    fill: rgba(255, 213, 0, .7);
}

.rev-box__title {
    margin-bottom: 16px;
    color: #334B86;
}

.rev-form input {
    width: 100%;
    padding: 12px;
    border: 1px solid #C2C9DB;
}
.rev-form input::placeholder {
    color: #C2C9DB;
}
.rev-form textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #C2C9DB;
    resize: none;

}
.rev-form textarea::placeholder {
    color: #C2C9DB;
}

.rev-form button {
    width: 208px;
}
.rev-form input{

}
/* **** */


@media (max-width: 1024px) {
    .product__inner {
        grid-column-gap: 30px;
        grid-template-columns: repeat(3, 1fr);
    }
    .product-slider__box {
        width: 250px;
    }
    .product-slider .swiper-slide img {
        width: 100%;
    }
    .rev-left {
        max-width: 49%;
    }
}

@media(max-width: 768px) {
    .product__inner {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: .3fr repeat(2, 1fr);
        padding: 32px 32px 62px;
    }
    .product-slider__box {
        width: 300px;
    }
    .product__info {
        flex-direction: column;
    }
    .product__info-box {
        width: 100%;
    }
    .product__info-actions {
        width: 100%;
    }
    .product-btns {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .product-btns button {
        width: 208px;
    }
    .product-tabs__desc {
        padding: 40px;
    }
    .product-tabs__rev {
        padding: 30px 16px;
    }
    .rev-img {
        margin-right: 15px;
        height: auto;
        float: left;
        max-width: 88px;
    }
    .rev-item {
        display: block;
    }
}

@media (max-width: 767px) {
    .product_wish{
        right: 10px;
        top: 10px
    }
    .product__inner {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
    }
    .product-slider__box {
        grid-area: 2;
    }
    .product__title {
        grid-area: 1;
    }
    .product__info {
        grid-area: 3;
    }
    .product-thumbs {
        height: 174px;
        margin-right: 32px;
        min-width: 40px;
        width: 40px;
    }
    .product-slider__box {
        display: flex;
        flex-direction: row-reverse;
    }
    .product-slider {
        margin-bottom: 0;
    }
    .product-slider .swiper-slide img {
        height: 174px;
    }
    .product-slider__box {
        width: 239px;
    }
    .product-item__title {
        margin-right: 8px;
        font-size: 16px;
        line-height: 22px;
    }
    .product__info-box {
        display: flex;
        flex-direction: column;
    }
    .product-price {
        order: 1;
        margin-bottom: 5px;
    }
    .product-promo {
        order: 2;
    }
    .product-tabs__top {
        overflow-x: auto;
    }
    .product-tabs__nav {
        white-space: pre;
        width: auto;
        font-size: 14px;
        line-height: 17px;
        padding: 16px;
    }
    .product-tabs__nav.active {
        font-size: 14px;
        line-height: 17px;
    }
    .product-tabs__desc {
        padding: 32px 16px;
    }
    .char-item {
        flex-direction: column;
        padding: 30px 16px;
        align-items: flex-start;
    }
    .char-item__label {
        margin-right: 0;
        margin-bottom: 10px;
    }
    .product-tabs__rev.active {
        flex-direction: column;
    }
    .rev-left {
        max-width: 100%;
        margin-bottom: 60px;
    }
    .rev-img {
        max-width: 72px;
    }
    .rev-box {
        max-width: 100%;
        padding: 0 16px;
    }
    .product-tabs > .container {
        padding: 0;
    }
    .product-tabs__rev {
        padding: 30px 0;
    }
    .rev-item {
        padding: 16px;
    }
    .product__inner {
        padding: 40px 16px;
    }
}